Bug 233784 - [NEW PORT] sysutils/burp-devel: Network backup and restore program (development)
Summary: [NEW PORT] sysutils/burp-devel: Network backup and restore program (development)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL:
Keywords: feature
Depends on: 233758
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-04 19:32 UTC by Lorenzo Salvadore
Modified: 2019-03-22 22:11 UTC (History)
1 user (show)

See Also:


Attachments
burp-devel shar file (1.89 KB, text/plain)
2018-12-04 19:32 UTC, Lorenzo Salvadore
no flags Details
burp-devel shar file, correction 1 (1.91 KB, patch)
2018-12-04 19:41 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff
burp-devel, 2.2.16 (1.91 KB, patch)
2019-01-01 15:41 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2018-12-04 19:32:03 UTC
Created attachment 199826 [details]
burp-devel shar file

This port is a slave port of sysutils/burp and keeps track of the latest version of burp (version 2.2.12, "latest"). See bug #233758, where I update and adopt the master port (version 2.1.32, "stable").

Everything has been tested successfully with portlint and poudriere (11.2-RELEASE-p5 i386/amd64).
Comment 1 Lorenzo Salvadore 2018-12-04 19:41:23 UTC
Created attachment 199827 [details]
burp-devel shar file, correction 1

Sorry, forgot to define CONFLICTS_INSTALL. Now the slave version conflicts with the master version.
Comment 2 Lorenzo Salvadore 2018-12-22 14:13:36 UTC
Now tested successfully with poudriere on 12.0-RELEASE i386/amd64 too.
Comment 3 Lorenzo Salvadore 2019-01-01 15:41:31 UTC
Created attachment 200677 [details]
burp-devel, 2.2.16

2.2.16 has been released. The new attachment brings the new version.

Tested successfully with poudriere on 11.2-RELEASE and 12.0-RELEASE, both i386 and amd64.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-02 04:56:46 UTC
Doesn't depend on bug 233758, only a See Also (related) reference
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-02 04:57:59 UTC
(In reply to Kubilay Kocak from comment #4)

Whoops, turns it does (parent/sub ports)
Comment 6 commit-hook freebsd_committer 2019-03-22 22:10:34 UTC
A commit references this bug:

Author: bhughes
Date: Fri Mar 22 22:09:45 UTC 2019
New revision: 496597
URL: https://svnweb.freebsd.org/changeset/ports/496597

Log:
  sysutils/burp-devel: new port for latest development release (2.2.12) of burp

  Add burp-devel as a child port of sysutils/burp. Submitter is maintainer for
  this new port.

  PR:		233784
  Submitted by:	phascolarctos@protonmail.ch
  Sponsored by:	Miles AS

Changes:
  head/sysutils/Makefile
  head/sysutils/burp-devel/
  head/sysutils/burp-devel/Makefile
  head/sysutils/burp-devel/distinfo
  head/sysutils/burp-devel/pkg-plist
Comment 7 Bradley T. Hughes freebsd_committer 2019-03-22 22:11:06 UTC
Committed, thanks! :)